VMMC2 regulator is configured but not used on IGEPv2 board

Bug #654595 reported by Mathieu Poirier on 2010-10-04
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
linux-linaro (Ubuntu)
Undecided
Mathieu Poirier
Maverick
Undecided
Unassigned
linux-linaro-omap (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Since there is no VMMC2 regulator on the IGEPv2 board, declaration and initialization code should be removed from the board file.

Changed in linux (Ubuntu):
assignee: nobody → Mathieu Poirier (mathieu.poirier)

I've integrated all 6 patches submitted by Enric:
http://marc.info/?l=linux-arm-kernel&m=128596744515511&w=2

Can someone with an IGEPv2 board help me test the following:
http://people.canonical.com/~mpoirier/linux-image-2.6.35-22-omap_2.6.35-22.34_armel.deb

Many thanks, Mathieu.

SRU Justification:

Impact: This patch is part of a serie of fix for the IGEPv2 board. The VMMC2 regulator is configured but it's not used on the IGEP v2. Since the code is contained to the IGEPv2 board file, it will not impact other boards.

Fix: The fix consist in remove the declaration and initialization code for the regulator.

Testcase: There isn't any noticeable effect associated to this fix.

Accepted linux-linaro into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

affects: linux (Ubuntu) → linux-linaro (Ubuntu)
Changed in linux-linaro (Ubuntu Maverick):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by Thursday, November 11, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package linux-linaro - 2.6.35-1008.15

---------------
linux-linaro (2.6.35-1008.15) maverick-proposed; urgency=low

  [ Robert Nelson ]

  * SRU: Fix DVI for Beagle xM rev A3
    - LP: #663642

linux-linaro (2.6.35-1008.14) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Upstream Stable ]
  * Linux 2.6.35.7

  [ Upstream MMC updates ]

  * mmc: recognize CSD structure
  * mmc: split mmc_sd_init_card()
  * mmc: implement SD-combo (IO+mem) support
  * sdhci: remove useless set_clock() check
  * sdhci: 8-bit data transfer width support
  * sdhci: don't assign mmc->caps at SDHCI directly
  * mmc: only set blockaddressed for > 2GiB cards
  * mmc: omap: fix for bus width which improves SD card's peformance.
  * sdhci-pltfm: switch to module device table matching
  * sdhci-pltfm: reorganize Makefile entries to support SoC devices
  * sdhci-pltfm: add support for CNS3xxx SoC devices
  * omap hsmmc: fix processing of all dma interrupts as block completion
  * sdhci: add regulator support
  * sdhci: add no hi-speed bit quirk support
  * mmc: avoid getting CID on SDIO-only cards
  * omap_hsmmc: remove unused local `state'
  * omap hsmmc: fix a racing case between kmmcd and omap_hsmmc_suspend
  * drivers/mmc/host/imxmmc.c: adjust confusing if indentation
  * mmc: sdhci-pltfm: Add structure for host-specific data
  * mmc: sdhci-pltfm: move .h file into appropriate subdir
  * mmc: sdhci: introduce get_ro private write-protect hook
  * mmc: sdhci_pltfm: pass more data on custom init call
  * mmc: sdhci-of-esdhc: factor out common stuff
  * mmc: sdhci-pltfm: add -pltfm driver for imx35/51
  * mmc: quirk fix for timeout problem
  * babbage: esdhc device registration
  * babbage: update mx51_defconfig
    - LP: #656966

  [ Upstream ARM fixes ]

  * Make PTRACE_SINGLESTEP work with user helpers
  * ARM: fix section mismatch warnings in Versatile Express
  * ARM: use memblock to remove memory from available memory
  * video: omap: vram: remove from normal memory
    - LP: #627779

  [ John Rigby ]
  * LINARO: update configs
    - LP: #659799

linux-linaro (2.6.35-1007.13) maverick; urgency=low

  [ Upstream Ubuntu ]

  * Ubuntu-2.6.35-22.33
  * Ubuntu-2.6.35-22.34

  [ Upstream ARM Fixes ]

  * ARM: vexpress: set RAM latencies to 1 cycle for PL310 on ct-ca9x4 tile
  * ARM: vexpress: set RAM latencies to 1 cycle for PL310 on ct-ca9x4 tile
  * ARM: add a vma entry for the user accessible vector page
  * ARM: plug a race with the alignment trap handler
  * arm: fix really nasty sigreturn bug
  * ARM: prevent multiple syscall ...

Read more...

Changed in linux-linaro (Ubuntu Maverick):
status: Fix Committed → Fix Released
Download full text (6.0 KiB)

Tested on:

ubuntu@ubuntu:~$ uname -a
Linux ubuntu 2.6.35-1008-linaro-omap #15-Ubuntu Fri Oct 22 11:56:29
UTC 2010 armv7l GNU/Linux

2010/11/8 Launchpad Bug Tracker <email address hidden>:
> This bug was fixed in the package linux-linaro - 2.6.35-1008.15
>
> ---------------
> linux-linaro (2.6.35-1008.15) maverick-proposed; urgency=low
>
>  [ Robert Nelson ]
>
>  * SRU: Fix DVI for Beagle xM rev A3
>    - LP: #663642
>
> linux-linaro (2.6.35-1008.14) maverick-proposed; urgency=low
>
>  [ Andy Whitcroft ]
>
>  * reduce disk usage during buildd builds
>    - LP: #645653
>
>  [ Enric Balletbo i Serra ]
>
>  * ARM: igepv2: Adding support for VBUS and overcurrent
>    - LP: #651589
>  * ARM: igepv2: Fix and improve LED handling
>    - LP: #654582
>  * ARM: igepv2: Introduce function to dectect HW version
>    - LP: #654586
>  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
>    - LP: #654590
>  * ARM: igepv2: Add i2c eeprom driver to read EDID
>    - LP: #654594
>  * ARM: igepv2: Remove VMMC2 regulator
>    - LP: #654595
>
>  [ Maurus Cuelenaere ]
>
>  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
>    - LP: #607250
>
>  [ Upstream Stable ]
>  * Linux 2.6.35.7
>
>  [ Upstream MMC updates ]
>
>  * mmc: recognize CSD structure
>  * mmc: split mmc_sd_init_card()
>  * mmc: implement SD-combo (IO+mem) support
>  * sdhci: remove useless set_clock() check
>  * sdhci: 8-bit data transfer width support
>  * sdhci: don't assign mmc->caps at SDHCI directly
>  * mmc: only set blockaddressed for > 2GiB cards
>  * mmc: omap: fix for bus width which improves SD card's peformance.
>  * sdhci-pltfm: switch to module device table matching
>  * sdhci-pltfm: reorganize Makefile entries to support SoC devices
>  * sdhci-pltfm: add support for CNS3xxx SoC devices
>  * omap hsmmc: fix processing of all dma interrupts as block completion
>  * sdhci: add regulator support
>  * sdhci: add no hi-speed bit quirk support
>  * mmc: avoid getting CID on SDIO-only cards
>  * omap_hsmmc: remove unused local `state'
>  * omap hsmmc: fix a racing case between kmmcd and omap_hsmmc_suspend
>  * drivers/mmc/host/imxmmc.c: adjust confusing if indentation
>  * mmc: sdhci-pltfm: Add structure for host-specific data
>  * mmc: sdhci-pltfm: move .h file into appropriate subdir
>  * mmc: sdhci: introduce get_ro private write-protect hook
>  * mmc: sdhci_pltfm: pass more data on custom init call
>  * mmc: sdhci-of-esdhc: factor out common stuff
>  * mmc: sdhci-pltfm: add -pltfm driver for imx35/51
>  * mmc: quirk fix for timeout problem
>  * babbage: esdhc device registration
>  * babbage: update mx51_defconfig
>    - LP: #656966
>
>
>  [ Upstream ARM fixes ]
>
>  * Make PTRACE_SINGLESTEP work with user helpers
>  * ARM: fix section mismatch warnings in Versatile Express
>  * ARM: use memblock to remove memory from available memory
>  * video: omap: vram: remove from normal memory
>    - LP: #627779
>
>  [ John Rigby ]
>  * LINARO: update configs
>    - LP: #659799
>
> linux-linaro (2.6.35-1007.13) maverick; urgency=low
>
>  [ Upstream Ubuntu ]
>
>  * Ubuntu-2.6.35-22.33
>  * Ubuntu-2.6.35-22.34
>
>  [ Upstream ARM Fixes ]
>
>  * ARM: vexpress: set RAM latencies to 1 cy...

Read more...

Torez Smith (lnxtorez) wrote :

Verified the kernel in http://launchpadlibrarian.net/58728585/linux-image-2.6.35-23-omap_2.6.35-23.37_armel.deb boots

According to #2 above, changes are not noticeable so verification of this bug are generic functionality of the IGEP board.

Tested on IGEPv2,
uname -a
Linux tweetybird 2.6.35-23-omap #37-Ubuntu Sat Nov 6 02:01:12 UTC 2010 armv7l GNU/Linux

cat /proc/version
Linux version 2.6.35-23-omap (buildd@gourd) (gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5) ) #37-Ubuntu Sat Nov 6 02:01:12 UTC 0

Martin Pitt (pitti) on 2010-11-10
tags: added: verification-done
removed: verification-needed

Also tested with 2.6.35-23-omap

Test environment:
Linux ubuntu 2.6.35-23-omap #37-Ubuntu Sat Nov 6 02:01:12 UTC 2010
armv7l GNU/Linux
ubuntu@ubuntu:~$ cat /proc/version
Linux version 2.6.35-23-omap (buildd@gourd) (gcc version 4.4.5
(Ubuntu/Linaro 4.4.4-14ubuntu5) ) #37-Ubuntu Sat Nov 6 02:01:12 UTC
2010

Test case 1 : Check VMMC2 regulator is not enabled on boot
  - Step 1 : Boot an IGEP v2 board with this patch
  - Step 2: Check for active regulators.
     dmesg | grep regulator
     [ 0.000000] regulator: core version 0.5
     [ 0.012847] regulator: VUSB1V5: 1500 mV normal standby
     [ 0.013153] regulator: VUSB1V8: 1800 mV normal standby
     [ 0.013427] regulator: VUSB3V1: 3100 mV normal standby
     [ 0.015533] regulator: VMMC1: 1850 <--> 3150 mV at 3000 mV
normal standby
     [ 0.015838] regulator: VDAC: 1800 mV normal standby
     [ 0.016204] regulator: VDVI: 1800 mV normal standby
 - Result : PASS VMMC2 regulator is not active.

Note: On IGEP v2 the device connected to MMC2 bus uses another
dedicated regulator instead of VMMC2, so it's safe disable this
regulator.

2010/11/10 Martin Pitt <email address hidden>:
> ** Tags added: verification-done
> ** Tags removed: verification-needed
>
> --
> VMMC2 regulator is configured but not used on IGEPv2 board
> https://bugs.launchpad.net/bugs/654595
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
> Status in “linux-linaro” package in Ubuntu: New
> Status in “linux” source package in Maverick: Fix Committed
> Status in “linux-linaro” source package in Maverick: Fix Released
>
> Bug description:
> Since there is no VMMC2 regulator on the IGEPv2 board, declaration and initialization code should be removed from the board file.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/654595/+subscribe
>

Launchpad Janitor (janitor) wrote :
Download full text (16.2 KiB)

This bug was fixed in the package linux - 2.6.35-23.40

---------------
linux (2.6.35-23.40) maverick-proposed; urgency=low

  [ Brad Figg ]

  * No change rebuild.

linux (2.6.35-23.39) maverick-proposed; urgency=low

  [ Brad Figg ]
    - LP: #676214

  [ Ricardo Salveti de Araujo ]

  * SAUCE: ARM: OMAP3: beagle: use GPIO2 on the xM A3 to turn DVI on
    - LP: #663642

linux (2.6.35-23.38) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Revert "SAUCE: ARM: OMAP3: beagle: use GPIO2 on the xM A3 to turn DVI
    on"

  [ Upstream Kernel Changes ]

  * Revert "(upstream) ALSA: hda - Apply ALC269 VAIO fix-up to all Sony
    laptops with ALC269"
  * Revert "ALSA: HDA: Correctly apply position_fix quirks for ATI and VIA
    controllers"
  * Buglink Fixup for reverted unverified fixes

linux (2.6.35-23.37) maverick-proposed; urgency=low

  [ Brad Figg ]

  * ARM: Temporarily disable module check for armel

linux (2.6.35-23.36) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Brad Figg ]

  * ARM: Temporarily disable module check for armel

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Leann Ogasawara ]

  * ARM: Temporarily disable module check for armel

  [ Mathieu Poirier ]

  * SAUCE: ARM: Add DSS2 support for Overo board
    - LP: #660811

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Ricardo Salveti de Araujo ]

  * [Config] Remove CONFIG_FIXED_PHY and move CONFIG_SMSC911X from m to y
    for omap
    - LP: #645689
  * SAUCE: ARM: OMAP3: Adding vdd_sdi regulator supply to IGEPv2 board
    - LP: #607250
  * SAUCE: ARM: OMAP3: beagle: use GPIO2 on the xM A3 to turn DVI on
    - See: #663642

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) ALSA: HDA: Use model=auto for LG R510"
  * Revert "(pre-stable) ALSA: hda - Rename iMic to Int Mic on Lenovo
    NB0763"
  * Revert "Input: appletouch - fix integer overflow issue"
  * Revert "ALSA: hda - Handle pin NID 0x1a on ALC259/269"
  * Revert "ALSA: hda - Handle missing NID 0x1b on ALC259 codec"
  * Revert "(pre-stable) ALSA: hda - Add a new hp-laptop model for Conexant
    5066, tested on HP G60"
  * Revert "mmc: build fix: mmc_pm_notify is only available with
    CONFIG_PM=y"
  * Revert "mmc: fix all hangs related to mmc/sd card insert/removal during
    suspend/resume"
  * Revert "(pre-stable) bounce: call flush_dcache_page() after
    bounce_copy_vec()"
  * Revert "Input: i8042 - reset keyboard controller wehen resuming from
    S2R"
  * Revert "ALSA: HDA: Enable internal speaker on Dell M101z"
  * Revert "(pre-stable) drm/i915: don't enable self-refresh on Ironlake"
  * Revert "drm/i915: Allow LVDS on pipe A on gen4+"
  * (pre-stable) ACPI: enable repeated...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Jeremy Foshee (jeremyfoshee) wrote :

Hi Mathieu,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 654595

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
John Rigby (jcrigby) on 2011-01-18
Changed in linux-linaro (Ubuntu):
status: New → Opinion
status: Opinion → Incomplete
John Rigby (jcrigby) on 2011-03-11
Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in linux-linaro (Ubuntu):
status: Incomplete → Invalid
Changed in linux-linaro-omap (Ubuntu Maverick):
status: New → Invalid
Changed in linux-linaro-omap (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers